Main Page Widgets Namespaces Book

# Gtk::Invisible Class Reference
[Widgets]

This widget is used internally in GTK+, and is probably not useful for application developers. More...

Inheritance diagram for Gtk::Invisible:

[legend]
List of all members.

## Public Methods

virtual | ~Invisible ()
GtkInvisible* | gobj ()
const GtkInvisible* | gobj () const
| Invisible ()

## Related Functions

(Note that these are not member functions.)
Gtk::Invisible* | wrap (GtkInvisible* object, bool take_copy=false)

## Detailed Description

This widget is used internally in GTK+, and is probably not useful for application developers.

It is used for reliable pointer grabs and selection handling in the code for drag-and-drop.

## Constructor & Destructor Documentation

virtual Gtk::Invisible::~Invisible | ( |  | ) | `[virtual]`

Gtk::Invisible::Invisible | ( |  | ) |

## Member Function Documentation

const GtkInvisible* Gtk::Invisible::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Gtk::Widget.

GtkInvisible* Gtk::Invisible::gobj | ( |  | ) | `[inline]`

| Reimplemented from Gtk::Widget.

## Friends And Related Function Documentation

Gtk::Invisible* wrap | ( | GtkInvisible* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- invisible.h